floskell-0.11.0: A flexible Haskell source code pretty printer

Safe Haskell | Safe-Inferred
Language | Haskell2010

Floskell.Styles

Synopsis

- data Style = Style {
  - styleName :: !Text
  - styleAuthor :: !Text
  - styleDescription :: !Text
  - styleConfig :: !Config
  }
- styles :: [Style]

# Documentation

data Style #

A printer style.

Constructors

Style |

Fields

- styleName :: !Text

  Name of the style, used in the commandline interface.

- styleAuthor :: !Text

  Author of the style definition.

- styleDescription :: !Text

  Description of the style.

- styleConfig :: !Config

  Style definition.

styles :: [Style] #

Styles list, useful for programmatically choosing.